Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://dev.api.withconvexity.com/v1/wallet/hd/address/{address} \ --header 'Authorization: Bearer <token>'
import requests url = "https://dev.api.withconvexity.com/v1/wallet/hd/address/{address}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://dev.api.withconvexity.com/v1/wallet/hd/address/{address}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
200
Example
{ "status": true, "message": "Wallet fetched successfully", "data": { "id": "b3d9c1e2-4f6a-4c8b-9e2a-1d2c3b4a5f60", "businessName": "Acme Payments Ltd", "address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F", "chainType": "EVM", "purpose": "deposit", "derivationPath": "m/44'/60'/0'/0/12", "addressIndex": 12, "isActive": true, "createdAt": "2026-06-20T09:11:04.211Z", "deactivatedAt": null, "metadata": null } }
Fetches a single wallet by its on-chain address. Requires wallet.hd.read.
wallet.hd.read
OAuth 2.0 access token from Auth-Edge.
On-chain address.
Disambiguate the chain.
EVM
SOLANA
OK
The response is of type object.
object